package com.fdkankan.platform.user.factory.impl;

import com.fdkankan.platform.user.factory.*;

public class Wechat implements Pay {

    @Override
    public Commerce commercePay() {
        return new WechatCommerce();
    }

    @Override
    public Entity entityPay() {
        return new WechatEntity();
    }

    @Override
    public Expansion expansionPay() {
        return new WechatExpansion();
    }

    @Override
    public Recharge rechargePay() {
        return new WechatRecharge();
    }
}
